Subject: bug#4508 closed by Juanma Barranquero <[email-masked]> (Re: bug#4508: 23.1; (efaq) Emacs for MS-Windows has bad URL)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 22 Sep 2009 08:55:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4508: 23.1; (efaq) Emacs for MS-Windows has bad URL

It has been closed by Juanma Barranquero <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juanma Barranquero <[email-masked]> by
replying to this email.

-- 
4508: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4508
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4508: 23.1; (efaq) Emacs for MS-Windows has bad URL
From: Juanma Barranquero <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Tue, 22 Sep 2009 10:49:02 +0200

On Mon, Sep 21, 2009 at 23:44, Drew Adams <[email-masked]> wrote:

> FYI - The problem is that the right paren is included as part of the link. If
> you remove the right paren, then the URL is OK and the link works.

I've fixed it by making Info-try-follow-nearest-node to follow the
information extracted by Info-get-token. Parentheses in URLs are valid
but apparently not very frequent (outside of Wikipedia).

If this change causes trouble with URLs containing parentheses,
perhaps changing the regexp passed to Info-get-token would be an
option; but currently the Emacs-supplied info files do not have any
such URL.

    Juanma

Subject: 23.1; (efaq) Emacs for MS-Windows has bad URL
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Mon, 21 Sep 2009 10:57:12 -0700

emacs -Q
C-h C-f
g Emacs for MS Windows
 
This is the node:
 
 There is a separate FAQ
 (http://www.gnu.org/software/emacs/windows/ntemacs.html) for Emacs on
 MS-Windows.  For MS-DOS, *note Emacs for MS-DOS::.
 
That first link's URL is bad. I get this when I click it:
 
404 - Page Not Found
The page you were looking for could not be found on our server.
 
If you think this is our fault, please email the GNU Webmasters
<[email-masked]>.
 
To continue, please go to either the section of the website you requested or to
our homepage.
 
What is Free Software? 
Linux and GNU 
A detailed history of the GNU Project 
GNU General Public License (GPL) 
Happy hacking!

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-29 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'